#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long n;
    cin>>n;
    long long ans=0;
    for(long long i=1; i*i<n; i++)
    {
        if(n%i==0)
        {
            for(long long j=i; j<=n/(i*2); j++)
            {
                if(j<=n/(j*i))
                {
                    if(n%(i*j)==0)
                    {
                        if(i<=j)
                        {
                            //cout<<i<<"."<<j<<"."<<n/(i*j)<<endl;
                            ans++;
                        }
                    }
                }
                else
                {
                    j=n;
                }
            }
        }
    }
    cout<<ans;
    return 0;
}

